---
author: Weisi Chen (credit to Michael Lynch for linking to KPY)
type: Administration
target-close-date: 2016-12-23
actual-close-date: TBA
affected-group: eResearch
deliverables: automated reporting system
version: v1.1
last-updated: 2016-3-1

---
# autoreporting

An automated reporting system system for the monthly highlights. Gathers stats from
Service Connect, HPCC, NCI Raijin, Intersect and GitLab and turns them into reports and charts.

# Environment required

- Python 3
- R 3
- Pandoc 1.18

# Installation

1. Get the code (including KPY) from Codeine:


        > git clone https://codeine.research.uts.edu.au/eresearch/KPY.git
        > cd KPY
        > python setup.py install
        > cp config_example.yml config.yml
        > cd ..
        > git clone https://codeine.research.uts.edu.au/eresearch/autoreporting.git
        > cp KPY autoreporting

2. In the R console, install required R packages:


        > R
        >> install.packages(c("googlesheets","gmailr","Hmisc","dplyr","tidyr","ggplot2"))

**Additional step for Intersect eResearch Analyst**

3. In the R console, authorise access to eRA Gmail account and gather data.


        > gmail_auth()
    
4. The browser will be opened automatically, type in credentials, then a hidden file named ".httr-oauth" will be generated.

# Usage

1. Put input files (raw data files) into the "datafiles" folder, including:
    - Service_Connect.xls (downloaded from UTS Service Connect)
    - partner_summary.csv (downloaded from NCI Raijin)
    - summary.pbs (scp'ed from UTS HPCC)
    - TODO: UTS Arclab & Data storage
2. Run the script:


        > bash runallcode.sh
    
3. Inspect results in the folder "yyyy-mm-dd_charts", previous results are moved to "previous".
